package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 企业制度管理对象 t_enterprise_system
 * 
 * @author zehong
 * @date 2022-06-21
 */
public class TEnterpriseSystem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 制度id */
    private Long systemId;

    /** 预案标题 */
    @Excel(name = "预案标题")
    private String systemTitle;

    /** 制度类型（1企业规章制度，2法律法规） */
    @Excel(name = "制度类型", readConverterExp = "1=企业规章制度，2法律法规")
    private String systemType;

    /** 内容分类（仅用于企业规章制度分类） */
    @Excel(name = "内容分类", readConverterExp = "仅=用于企业规章制度分类")
    private String contentType;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String fileUrl;

    /** 是否删除(0正常，1删除) */
    @Excel(name = "是否删除(0正常，1删除)")
    private String isDel;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setSystemId(Long systemId) 
    {
        this.systemId = systemId;
    }

    public Long getSystemId() 
    {
        return systemId;
    }
    public void setSystemTitle(String systemTitle) 
    {
        this.systemTitle = systemTitle;
    }

    public String getSystemTitle() 
    {
        return systemTitle;
    }
    public void setSystemType(String systemType) 
    {
        this.systemType = systemType;
    }

    public String getSystemType() 
    {
        return systemType;
    }
    public void setContentType(String contentType) 
    {
        this.contentType = contentType;
    }

    public String getContentType() 
    {
        return contentType;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("systemId", getSystemId())
            .append("systemTitle", getSystemTitle())
            .append("systemType", getSystemType())
            .append("contentType", getContentType())
            .append("content", getContent())
            .append("fileName", getFileName())
            .append("fileUrl", getFileUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("status", getStatus())
            .append("remark", getRemark())
            .toString();
    }
}
